org.vishia.gral.ifc

## Interface GralFileDialog_ifc

- All Known Implementing Classes:
    GralFileSelectWindow, SwtFileDialog

      public interface GralFileDialog_ifc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `directory` Creates a dialog to select directories, not files.
    `static int` | `multi` Assume selecting of more as one files or directories.
    `static int` | `version` Version, history and license.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getMultiSelection()`
    `java.lang.String` | `getSelection()` Returns the last selected local path and file.
    `boolean` | `open(java.lang.String sTitle, int mode)`
    `java.lang.String` | `show(java.lang.String sBaseDir, java.lang.String sLocalDir, java.lang.String sMask, java.lang.String sTitle)` Shows the file dialog.

- - ### Field Detail

    - #### version

          static final int version

      Version, history and license.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### directory

          static final int directory

      Creates a dialog to select directories, not files. It is used while creation of the FileDialog.
      See Also:
        Constant Field Values

    - #### multi

          static final int multi

      Assume selecting of more as one files or directories. It is used while creation of the FileDialog or while activating.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### open

          boolean open(java.lang.String sTitle,
                       int mode)

    - #### show

          java.lang.String show(java.lang.String sBaseDir,
                                java.lang.String sLocalDir,
                                java.lang.String sMask,
                                java.lang.String sTitle)

      Shows the file dialog.
      Parameters:
        `sBaseDir` - Part of start path, which should not be leave in selection. May be null
        `sLocalDir` - Part of start path which is shown as default. May be null. If both sBaseDir and sLocalDir are null, the dialog may start with the last saved base dir.
        `sMask` - If not null, then mask for file selection. If null, all files will be shown.
        `sTitle` - The title in the dialog's title. If null, then the title is unchanged.
      Returns:
        null if the selection was aborted.

    - #### getMultiSelection

          java.lang.String[] getMultiSelection()

    - #### getSelection

          java.lang.String getSelection()

      Returns the last selected local path and file.
      Returns:
        null if the last selection was aborted.